Package org.eclipse.gef.mvc.fx.parts

# Class DefaultFocusFeedbackPartFactory

java.lang.Object
org.eclipse.gef.mvc.fx.parts.DefaultFocusFeedbackPartFactory

All Implemented Interfaces:
  `IFeedbackPartFactory`

public class DefaultFocusFeedbackPartFactory extends Object implements IFeedbackPartFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`DEFAULT_FOCUS_FEEDBACK_COLOR`
Defines the default `Color` for focus feedback.
`static final String`
`FOCUS_FEEDBACK_COLOR_PROVIDER`
Defines the binding name for the focus feedback color.
`static final String`
`FOCUS_FEEDBACK_GEOMETRY_PROVIDER`
The role name for the `Provider<IGeometry>` that will be used to generate focus feedback.

## Constructor Summary

Constructors
Constructor
Description
`DefaultFocusFeedbackPartFactory()`

## Method Summary

Modifier and Type
Method
Description
`List<IFeedbackPart<? extends Node>>`
`createFeedbackParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)`
Creates specific `IFeedbackPart`s for the given targets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FOCUS_FEEDBACK_COLOR_PROVIDER

public static final String FOCUS_FEEDBACK_COLOR_PROVIDER
Defines the binding name for the focus feedback color.

See Also:
  - Constant Field Values

### DEFAULT_FOCUS_FEEDBACK_COLOR

public static final Color DEFAULT_FOCUS_FEEDBACK_COLOR
Defines the default `Color` for focus feedback.

### FOCUS_FEEDBACK_GEOMETRY_PROVIDER

public static final String FOCUS_FEEDBACK_GEOMETRY_PROVIDER
The role name for the `Provider<IGeometry>` that will be used to generate focus feedback.

See Also:
  - Constant Field Values

## Constructor Details

### DefaultFocusFeedbackPartFactory

public DefaultFocusFeedbackPartFactory()

## Method Details

### createFeedbackParts

public List<IFeedbackPart<? extends Node>> createFeedbackParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)
Description copied from interface: `IFeedbackPartFactory`
Creates specific `IFeedbackPart`s for the given targets. As additional information might be needed by the `IFeedbackPartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createFeedbackParts` in interface `IFeedbackPartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which feedback is to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IFeedbackPart`s that are to be used to indicate feedback for the given targets.